com.tibbo.aggregate.common.datatable

## Class DataTableConversion

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.DataTableConversion

-     public class DataTableConversion
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataTableConversion()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <C> C` | `beanFromRecord(DataRecord rec, java.lang.Class<C> beanClass, TableFormat format, boolean setReadOnlyFields)`
    `static <C> C` | `beanFromTable(DataTable table, java.lang.Class<C> beanClass, TableFormat format, boolean setReadOnlyFields)`
    `static <C> java.util.List<C>` | `beansFromTable(DataTable table, java.lang.Class<C> beanClass, TableFormat format)`
    `static <C> java.util.List<C>` | `beansFromTable(DataTable table, java.lang.Class<C> beanClass, TableFormat format, boolean setReadOnlyFields)`
    `static <C> java.util.List<C>` | `beansFromTable(DataTable table, java.lang.Class<C> beanClass, TableFormat format, boolean setReadOnlyFields, Pinpoint origin)`
    `static DataTable` | `beansToTable(java.util.Collection beans, TableFormat format)`
    `static DataTable` | `beansToTable(java.util.Collection beans, TableFormat format, boolean setReadOnlyFields)`
    `static DataRecord` | `beanToRecord(java.lang.Object bean, TableFormat format, boolean setReadOnlyFields, boolean ignoreErrors)`
    `static DataRecord` | `beanToRecord(java.lang.Object bean, TableFormat format, boolean setReadOnlyFields, boolean ignoreErrors, java.util.Set<java.lang.String> fieldsToSkip)`
    `static DataTable` | `beanToTable(java.lang.Object bean, TableFormat format)`
    `static DataTable` | `beanToTable(java.lang.Object bean, TableFormat format, boolean setReadOnlyFields)`
    `static DataTable` | `beanToTable(java.lang.Object bean, TableFormat format, boolean setReadOnlyFields, boolean ignoreErrors)`
    `static java.lang.Object` | `convertValueFromField(java.lang.Object value)`
    `static java.lang.Object` | `convertValueFromField(java.lang.Object value, java.lang.Class requiredClass)`
    `static java.lang.Object` | `convertValueToField(FieldFormat ff, java.lang.Object value)`
    `static java.lang.Object` | `convertValueToField(FieldFormat ff, java.lang.Object value, java.lang.Class requiredClass)`
    `static java.lang.Object` | `createAggreGateBean(java.lang.Object value, java.lang.Class requiredClass)`
    `static <S> FieldFormat<S>` | `createFieldFormat(java.lang.String name, java.lang.Class valueClass)`
    `static <S> FieldFormat<S>` | `createFieldFormat(java.lang.String name, java.lang.Object value)`
    `static <S> FieldFormat<S>` | `createFieldFormat(java.lang.String name, java.lang.String valueClassName)`
    `static FieldFormat` | `createTableField(java.lang.String name, java.lang.String description, TableFormat format)`
    `static FieldFormat` | `createTableField(java.lang.String name, TableFormat format)`
    `static <C> FormatConverter<C>` | `getFormatConverter(java.lang.Class<C> valueClass)`
    `static void` | `populateBeanFromRecord(java.lang.Object bean, DataRecord rec, TableFormat format, boolean setReadOnlyFields)`
    `static void` | `populateBeanFromRecord(java.lang.Object bean, DataRecord rec, TableFormat format, boolean setReadOnlyFields, java.util.Set<java.lang.String> fieldsToSkip)`
    `static void` | `registerFormatConverter(FormatConverter converter)`
    `static java.lang.Object[]` | `toObjects(DataRecord rec)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataTableConversion

          public DataTableConversion()

  - ### Method Detail

    - #### beanToTable

          public static DataTable beanToTable(java.lang.Object bean,
                                              TableFormat format,
                                              boolean setReadOnlyFields,
                                              boolean ignoreErrors)
                                       throws DataTableException

      Throws:
        `DataTableException`

    - #### beanToTable

          public static DataTable beanToTable(java.lang.Object bean,
                                              TableFormat format)
                                       throws DataTableException

      Throws:
        `DataTableException`

    - #### beanToTable

          public static DataTable beanToTable(java.lang.Object bean,
                                              TableFormat format,
                                              boolean setReadOnlyFields)
                                       throws DataTableException

      Throws:
        `DataTableException`

    - #### beansToTable

          public static DataTable beansToTable(java.util.Collection beans,
                                               TableFormat format)
                                        throws DataTableException

      Throws:
        `DataTableException`

    - #### beansToTable

          public static DataTable beansToTable(java.util.Collection beans,
                                               TableFormat format,
                                               boolean setReadOnlyFields)
                                        throws DataTableException

      Throws:
        `DataTableException`

    - #### beanFromTable

          public static <C> C beanFromTable(DataTable table,
                                            java.lang.Class<C> beanClass,
                                            TableFormat format,
                                            boolean setReadOnlyFields)
                                     throws DataTableException

      Throws:
        `DataTableException`

    - #### beansFromTable

          public static <C> java.util.List<C> beansFromTable(DataTable table,
                                                             java.lang.Class<C> beanClass,
                                                             TableFormat format)
                                                      throws DataTableException

      Throws:
        `DataTableException`

    - #### beansFromTable

          public static <C> java.util.List<C> beansFromTable(DataTable table,
                                                             java.lang.Class<C> beanClass,
                                                             TableFormat format,
                                                             boolean setReadOnlyFields)
                                                      throws DataTableException

      Throws:
        `DataTableException`

    - #### beansFromTable

          public static <C> java.util.List<C> beansFromTable(DataTable table,
                                                             java.lang.Class<C> beanClass,
                                                             TableFormat format,
                                                             boolean setReadOnlyFields,
                                                             @Nullable
                                                             Pinpoint origin)
                                                      throws DataTableException

      Throws:
        `DataTableException`

    - #### beanFromRecord

          public static <C> C beanFromRecord(DataRecord rec,
                                             java.lang.Class<C> beanClass,
                                             TableFormat format,
                                             boolean setReadOnlyFields)
                                      throws DataTableException

      Throws:
        `DataTableException`

    - #### populateBeanFromRecord

          public static void populateBeanFromRecord(java.lang.Object bean,
                                                    DataRecord rec,
                                                    TableFormat format,
                                                    boolean setReadOnlyFields)
                                             throws DataTableException

      Throws:
        `DataTableException`

    - #### populateBeanFromRecord

          public static void populateBeanFromRecord(java.lang.Object bean,
                                                    DataRecord rec,
                                                    TableFormat format,
                                                    boolean setReadOnlyFields,
                                                    java.util.Set<java.lang.String> fieldsToSkip)
                                             throws DataTableException

      Throws:
        `DataTableException`

    - #### beanToRecord

          public static DataRecord beanToRecord(java.lang.Object bean,
                                                TableFormat format,
                                                boolean setReadOnlyFields,
                                                boolean ignoreErrors)
                                         throws DataTableException

      Throws:
        `DataTableException`

    - #### beanToRecord

          public static DataRecord beanToRecord(java.lang.Object bean,
                                                TableFormat format,
                                                boolean setReadOnlyFields,
                                                boolean ignoreErrors,
                                                java.util.Set<java.lang.String> fieldsToSkip)
                                         throws DataTableException

      Throws:
        `DataTableException`

    - #### convertValueToField

          public static java.lang.Object convertValueToField(FieldFormat ff,
                                                             java.lang.Object value,
                                                             java.lang.Class requiredClass)

    - #### convertValueFromField

          public static java.lang.Object convertValueFromField(java.lang.Object value)

    - #### convertValueFromField

          public static java.lang.Object convertValueFromField(java.lang.Object value,
                                                               java.lang.Class requiredClass)

    - #### convertValueToField

          public static java.lang.Object convertValueToField(FieldFormat ff,
                                                             java.lang.Object value)

    - #### registerFormatConverter

          public static void registerFormatConverter(FormatConverter converter)

    - #### getFormatConverter

          public static <C> FormatConverter<C> getFormatConverter(java.lang.Class<C> valueClass)

    - #### createFieldFormat

          public static <S> FieldFormat<S> createFieldFormat(java.lang.String name,
                                                             java.lang.Object value)

    - #### createFieldFormat

          public static <S> FieldFormat<S> createFieldFormat(java.lang.String name,
                                                             java.lang.String valueClassName)
                                                      throws java.lang.ClassNotFoundException

      Throws:
        `java.lang.ClassNotFoundException`

    - #### createFieldFormat

          public static <S> FieldFormat<S> createFieldFormat(java.lang.String name,
                                                             java.lang.Class valueClass)

    - #### createTableField

          public static FieldFormat createTableField(java.lang.String name,
                                                     TableFormat format)

    - #### createTableField

          public static FieldFormat createTableField(java.lang.String name,
                                                     java.lang.String description,
                                                     TableFormat format)

    - #### createAggreGateBean

          public static java.lang.Object createAggreGateBean(java.lang.Object value,
                                                             java.lang.Class requiredClass)
                                                      throws java.lang.NoSuchMethodException,
                                                             java.lang.IllegalAccessException,
                                                             java.lang.reflect.InvocationTargetException,
                                                             java.lang.InstantiationException

      Throws:
        `java.lang.NoSuchMethodException`
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`
        `java.lang.InstantiationException`

    - #### toObjects

          public static java.lang.Object[] toObjects(DataRecord rec)